<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CompanyPositionInfo](./bitburner.companypositioninfo.md)

## CompanyPositionInfo interface

Company position requirements and salary.

**Signature:**

```typescript
export interface CompanyPositionInfo 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [field](./bitburner.companypositioninfo.field.md) |  | [JobField](./bitburner.jobfield.md) |  |
|  [name](./bitburner.companypositioninfo.name.md) |  | [JobName](./bitburner.jobname.md) |  |
|  [nextPosition](./bitburner.companypositioninfo.nextposition.md) |  | [JobName](./bitburner.jobname.md) \| null |  |
|  [requiredReputation](./bitburner.companypositioninfo.requiredreputation.md) |  | number |  |
|  [requiredSkills](./bitburner.companypositioninfo.requiredskills.md) |  | [Skills](./bitburner.skills.md) |  |
|  [salary](./bitburner.companypositioninfo.salary.md) |  | number |  |

